From 8fb0b5ffac81681e0ed6eae62cb46f3a925caa56 Mon Sep 17 00:00:00 2001
From: Paul Corke <paul.corke@datatote.co.uk>
Date: Thu, 17 Dec 2009 17:30:18 +0000
Subject: [PATCH] Fix compilation under MinGW/MSYS on WinXP
 Remove an error about a missing symbol WSA_QOS_EUNKNOWNPSOBJ

---
 src/network/winsock.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/src/network/winsock.c b/src/network/winsock.c
index dd7f598..2584dff 100644
--- a/src/network/winsock.c
+++ b/src/network/winsock.c
@@ -26,6 +26,10 @@
 #include <errno.h>
 #include <vlc_network.h>
 
+#ifndef WSA_QOS_EUNKNOWNPSOBJ
+# define WSA_QOS_EUNKNOWNPSOBJ 11024L
+#endif
+
 typedef struct
 {
     int code;
-- 
1.6.5.1.1367.gcd48

